//
// Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Pdf for Java. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//
package samples.form;

import com.aspose.pdf.kit.*;

//This demo shows flatten specified fields or all the fields of the pdf documents.
public class FlattenField {
      //Set the test pdf file's path here
      static String path = "./examples/resources/";

  public static void main(String[] args) {
    try {
      //Open the document and create a Form object
      Form form = new Form(path + "Online.pdf", path + "Online_flatten.pdf");

      //Specify a single field to be patially flattened
      form.partialFlatten("photo");
      //Specify another single field to be patially flattened
      form.partialFlatten("bankList");

      //If there is no field that should be partial flattened, then this method
      //will flatten all the fields in the document
      //Before uncomment the following code, the former partial flattening code
      //should be commented.

      //form.allFlatten();

      //Close the document
      form.close();
    }
    catch (Exception ex) {
      System.out.println(ex.toString());
    }
  }
}