//
// Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Pdf for Java. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//
package samples.form;

import com.aspose.pdf.kit.*;

//This demo shows how to use form relative APIs to modify existing pdf document
public class FormTest {
      //Set the test pdf file's path here
      static String path = "./examples/resources/";

  public static void main(String[] args) {
    try {
      //Open the document and create a Form object
      Form form = new Form(path + "Online.pdf", path + "output.pdf");
      //Add a watermark field at the top of each page
      form.setWaterMark("newwatermark.jpg");
      //Fill a text field like this:
      form.setField("fullName", "Luke Fu");
      //Select a  radio button like this:
      form.setField("gender", "male");
      //Paste a image onto the existing button field
      form.fillImageField("photo", "watermark.jpg");
      //Choose a item from a combe box field like this:
      form.setField("bankList", "list Item3");
      //Choose a item from a list field like this:
      form.setField("period", "1 year");
      //Select a  ckeck box like this:
      form.setField("pay", "Yes");

      //Flatten all the fields.
      //form.allFlatten();

      //Close the document
      form.close();

    }
    catch (Exception ex) {
      System.out.println(ex.toString());
    }

  }
}
