//
// Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Pdf.Kit for Java. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//
package samples.stamp;

import com.aspose.pdf.kit.PdfFileStamp;
import com.aspose.pdf.kit.FormattedText;
import com.aspose.pdf.kit.FontColor;
import com.aspose.pdf.kit.FontStyle;
import com.aspose.pdf.kit.EncodingType;

public class PdfFilleStampExample {
  public PdfFilleStampExample() {
  }

  public static void main(String[] args) {
    String path = "./examples/resources/";
    String inFile = path + "example2.pdf";
    String outFile = path + "kitOut1.pdf";
    PdfFileStamp fileStamp = null;

    try {
      fileStamp = new PdfFileStamp(inFile, outFile);
      FormattedText logo1 = null;
      logo1 = new FormattedText("Evaluation Only. Created with Aspose.Pdf.Kit. Copyright 2002-2005 Aspose Pty Ltd",
                                new FontColor(0, 20, 180),
                                FontStyle.TimesRoman,
                                EncodingType.Winansi, false, 12);

      FormattedText logo2 = null;
      logo2 = new FormattedText("Aspose.Pdf.Kit",
                                new FontColor(10, 30, 100),
                                FontStyle.HelveticaOblique,
                                EncodingType.Winansi, false, 20);
      //add logo and watermark
      fileStamp.addLogomark(logo1, 20, 50);
      fileStamp.addLogomark(logo2, 20, 70);
      fileStamp.addWatermark(path + "imgLogoPDF.gif", 100, 100);
      fileStamp.close();
    }
    catch (Exception ex) {
      System.out.println(ex.getMessage());
    }
  }
}